Katello - Bug #6607

Package Filter rules should not restrict on unique package name.
07/14/2014 05:20 PM - Brad Buckingham

Status: Closed
Priority: Normal
Assignee: Brad Buckingham
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1106565 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/442
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1106565
Description of problem:

Having repository with wit packages

package-0:1.0.0
package-0:2.0.0
package-0:3.0.0
package-0:4.0.0

There isn't an easy way to setup a filter such that the following packages are included:

package-0:2.0.0
package-0:4.0.0

Simply because:
validates :name, :presence => true, :uniqueness => { :scope => :content_view_filter_id }

You can't have two rules with the same package name. We should either lift this restriction or support a comma seperated list of
values for exact versions.

Associated revisions

Revision 092b6b9a - 07/15/2014 10:17 AM - Brad Buckingham
fixes #6607 / BZ 1106565 - Content View Package Filter Rules - allow duplicate name

Prior to this commit, a user could not create multiple package filter
rules for the same package (i.e. name) but different specific versions.

For example, if a repo had the following packages:
package-0:1.0.0
package-0:2.0.0
package-0:3.0.0
package-0:4.0.0

A user could not create rules to include/exclude the following packages:

package-0:2.0.0
package-0:4.0.0

Revision efdfc332 - 07/16/2014 08:05 AM - Brad Buckingham
Merge pull request #4426 from bbuckingham/issue-6607

fixes #6607 / BZ 1106565 - Content View Package Filter Rules - allow duplicate name

History
https://bugzilla.redhat.com/show_bug.cgi?id=1106565

#1 - 07/14/2014 05:21 PM - Brad Buckingham
- Assignee set to Brad Buckingham
- Target version set to 49

- Triaged changed from No to Yes

#2 - 07/14/2014 05:37 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4426 added
- Pull request deleted ()

#3 - 07/16/2014 09:01 AM - Brad Buckingham
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|092b6b9af78bbb56f2a82fe648e703ab9c511bd2.

#4 - 08/22/2014 09:03 AM - Eric Helms

- translation missing: en.field_release set to 13
